package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag707;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT707Creator;

/**
 * @author gaosheng
 * @date 2023/2/27
 */
public class Tag72ZCreator extends AbsTagCreate {

     private MT707Creator mt707Creator;

    public Tag72ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt707Creator= (MT707Creator) absMTCreator;
    }

    public void creator()
    {
        String tag72ZValue = mt707Creator.getSenderToReceiverInformation();
        mt707Creator.set("72Z", tag72ZValue);
    }
}
